Package org.eclipse.microprofile.rest.client.inject

# Annotation Type RestClient

@Target({FIELD,METHOD,PARAMETER,TYPE}) @Qualifier @Documented @Retention(RUNTIME) public @interface RestClient
Use the RestClient qualifier on an injection to point to indicate that this injection point is meant to use an instance of a Type-Safe Rest Client.

     @Inject
     @RestClient
     private MyRemoteApi api;

This will cause the injection point to be satisfied by the MicroProfile Rest Client runtime.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RestClient.RestClientLiteral`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RestClient`
`LITERAL`

## Field Details

### LITERAL

static final RestClient LITERAL